Package io.vertx.core.http

## Class UpgradeRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.core.http.UpgradeRejectedException

- All Implemented Interfaces:
    `Serializable`

      public class UpgradeRejectedException
      extends VertxException

  Author:
    Julien Viet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpgradeRejectedException​(String message, int status, MultiMap headers, Buffer content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Buffer` | `getBody()` |
    `MultiMap` | `getHeaders()` |
    `int` | `getStatus()` |

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpgradeRejectedException

          public UpgradeRejectedException​(String message,
                                          int status,
                                          MultiMap headers,
                                          Buffer content)

  - ### Method Detail

    - #### getStatus

          public int getStatus()

      Returns:
        the status code of the response that rejected the upgrade

    - #### getHeaders

          public MultiMap getHeaders()

      Returns:
        the headers of the response that rejected the upgrade

    - #### getBody

          public Buffer getBody()

      Returns:
        the body of the response that rejected the upgrade